# Interface IndexTree

All Superinterfaces:
  `DocTree, InlineTagTree`

public interface IndexTree extends InlineTagTree
A tree node for an `@index` inline tag.

       {@index keyword optional description}

Since:
  9

## Nested Class Summary

### Nested classes/interfaces declared in interface DocTree

`DocTree.Kind`

## Method Summary

Modifier and Type
Method
Description
`List<? extends DocTree>`
`getDescription()`
Returns the description, if any.
`DocTree`
`getSearchTerm()`
Returns the specified search term.

### Methods declared in interface DocTree

`accept, getKind`

### Methods declared in interface InlineTagTree

`getTagName`

## Method Details

### getSearchTerm

DocTree getSearchTerm()
Returns the specified search term.

Returns:
  the search term

### getDescription

List<? extends DocTree> getDescription()
Returns the description, if any.

Returns:
  the description